
From: Andrew Morton <akpm@osdl.org>

Large console spews from IRQ of local_irq_disable() sections can cause the NMI
watchdog to go off.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/serial/8250.c |    3 +++
 1 files changed, 3 insertions(+)

diff -puN drivers/serial/8250.c~serial-console-touch-nmi-watchdog drivers/serial/8250.c
--- devel/drivers/serial/8250.c~serial-console-touch-nmi-watchdog	2005-08-30 18:42:03.000000000 -0700
+++ devel-akpm/drivers/serial/8250.c	2005-08-30 18:42:03.000000000 -0700
@@ -40,6 +40,7 @@
 #include <linux/serial_core.h>
 #include <linux/serial.h>
 #include <linux/serial_8250.h>
+#include <linux/nmi.h>
 
 #include <asm/io.h>
 #include <asm/irq.h>
@@ -2124,6 +2125,8 @@ serial8250_console_write(struct console 
 	unsigned int ier;
 	int i;
 
+	touch_nmi_watchdog();
+
 	/*
 	 *	First save the UER then disable the interrupts
 	 */
_
